## org.mortbay.naming
Class NamingContext.NameEnumeration

    java.lang.Object
      org.mortbay.naming.NamingContext.NameEnumeration

All Implemented Interfaces:
  Enumeration, NamingEnumeration

Enclosing class:
  NamingContext

    public class NamingContext.NameEnumeration

extends Object
implements NamingEnumeration

NameEnumeration

Implementation of NamingEnumeration interface.

#### Notes

Used for returning results of Context.list();

#### Usage

###

###

###

###

###

###

    Constructor Summary

    NamingContext.NameEnumeration(Enumeration e)

    Method Summary

     void
    close()

     boolean
    hasMore()

     boolean
    hasMoreElements()

     Object
    next()

     Object
    nextElement()

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    NamingContext.NameEnumeration

    public NamingContext.NameEnumeration(Enumeration e)

    Method Detail

    close

    public void close()
               throws NamingException

    Specified by:close in interface NamingEnumeration

    Throws:
    NamingException

    hasMore

    public boolean hasMore()
                    throws NamingException

    Specified by:hasMore in interface NamingEnumeration

    Throws:
    NamingException

    next

    public Object next()
                throws NamingException

    Specified by:next in interface NamingEnumeration

    Throws:
    NamingException

    hasMoreElements

    public boolean hasMoreElements()

    Specified by:hasMoreElements in interface Enumeration

    nextElement

    public Object nextElement()

    Specified by:nextElement in interface Enumeration

    Copyright © 2008 Mort Bay Consulting. All Rights Reserved.